from django import template

register = template.Library()


@register.filter(name="duration")
def duration(value):
    secs = int(value.total_seconds())
    hours = secs // (60 * 60)
    secs = secs % (hours * 60 * 60)
    minutes = secs // 60
    return f"{hours}:{minutes:02d}h"
