from django.urls import path

from . import views

urlpatterns = [
    path("", views.index, name="index"),
    path("l/<slug:token>", views.login, name="token_login"),
    path("logout", views.logout, name="token_logout"),
    path("register", views.register, name="register"),
    path("asta", views.asta, name="asta"),
    path("shift/<int:shiftid>", views.shift, name="shift"),
    path("shift/<int:shiftid>/cancel", views.cancel, name="cancel"),
]
