from .signals import populate_footer_nav, populate_nav


def nav(request):
    nav_items = [
        item
        for _, items in populate_nav.send(sender=request)
        if isinstance(items, list)
        for item in items
    ]

    return {"nav_items": nav_items}


def footer_nav(request):
    nav_items = [
        item
        for _, items in populate_footer_nav.send(sender=request)
        if isinstance(items, list)
        for item in items
    ]

    return {"footer_nav_items": nav_items}
