import datetime

from dynamic_preferences import types
from dynamic_preferences.registries import global_preferences_registry

_import = types.Section("import")


@global_preferences_registry.register
class NotBefore(types.DatePreference):
    section = _import
    name = "not_before"
    default = datetime.date.today()
    help_text = "Do not import shifts ending before this date"
