from abc import ABC, abstractmethod


class Receiver(ABC):
    @abstractmethod
    def fetch(self):
        raise NotImplementedError

    @abstractmethod
    def handle(self, **kwargs):
        raise NotImplementedError


class Sender(ABC):
    @abstractmethod
    def send(self, messages):
        raise NotImplementedError
