from django.contrib import admin

from .models import IncomingMessage, RoomViewToken

# Register your models here.


@admin.register(IncomingMessage)
class IncomingMessageAdmin(admin.ModelAdmin):
    list_display = ("sender", "created_at")
    readonly_fields = ("id", "sender", "content", "created_at", "read")


@admin.register(RoomViewToken)
class RoomViewTokenAdmin(admin.ModelAdmin):
    list_display = ("room", "id")
    readonly_fields = ("id", "url")
