from .models import LoginToken


def check_helper(get_response):
    # One-time configuration and initialization.

    def middleware(request):
        request.helper = None

        # Code to be executed for each request before
        # the view (and later middleware) are called.
        if request.session.get("token"):
            tk = LoginToken.objects.filter(pk=request.session.get("token")).first()
            if not tk:
                del request.session["token"]
            else:
                request.helper = tk.helper

        response = get_response(request)

        # Code to be executed for each request/response after
        # the view is called.

        return response

    return middleware
