from django.db import models

from shiftregister.app.models import *


class Calendar(models.Model):
    url = models.URLField(primary_key=True)
    needs_fallback = models.BooleanField(default=False, editable=True)
    has_errors = models.BooleanField(default=False, editable=False)


class Event(Shift):
    uuid = models.UUIDField(primary_key=True, editable=False)
    calendar = models.ForeignKey(Calendar, on_delete=models.CASCADE)
