from celery import shared_task

from .inbound import receiver
from .signals import incoming_message


@shared_task
def fetch_messages():
    if receiver.fetch is None:
        return

    incoming_message.send(receiver, messages=receiver.fetch())
