from importlib import import_module


def import_class(path, default_class):
    try:
        module = import_module(path)
        cls = default_class
    except ModuleNotFoundError:
        path, cls = path.rsplit(".", maxsplit=1)
        module = import_module(path)

    return getattr(module, cls)
